function MotorDirection = GetMotorDirection ()
global EM_USB;
global EM_VERSION;

if EM_VERSION == 1
    fwrite (EM_USB, 58);               % Command Start
else
    fwrite (EM_USB, 0);  % Component 0 = ElecMachine
end

fwrite (EM_USB, 28);               % Function Idx = 28 GetMotorDirection

if EM_VERSION == 1
    fwrite (EM_USB, 59);               % Command End
    fwrite (EM_USB, 10);
end

fread(EM_USB, 1);                  % Read Back Function Idx
MotorDirection = fread(EM_USB, 1); % 0 = Clockwise, 1 = Anticlockwise
