function SpeedRPM = GetRPM ()
global EM_USB;
global EM_VERSION;

if EM_VERSION == 1
    fwrite (EM_USB, 58);               % Command Start
else
    fwrite (EM_USB, 0);  % Component 0 = ElecMachine
end

fwrite (EM_USB, 20);         % Function Idx = 20 GetRPM

if EM_VERSION == 1
    fwrite (EM_USB, 59);               % Command End
    fwrite (EM_USB, 10);
end

fread(EM_USB, 1);            % Read Back Function Idx
SpeedRPM = fread(EM_USB, 1, 'int16'); % 0 to 32767
SpeedRPM = SpeedRPM/10;      % Scale the reading to get the actual RPM
