function SetMotorType (motor_type)
global EM_USB;
global EM_VERSION;

if EM_VERSION == 1
    fwrite (EM_USB, 58);               % Command Start
else
    fwrite (EM_USB, 0);  % Component 0 = ElecMachine
end

fwrite (EM_USB, 1);           % Function Idx = 1 SetMotorType
fwrite (EM_USB, motor_type);  % Param 1
                              % 0 = DC
                              % 1 = Single Phase
                              % 2 = Three Phase
                              % 3 = Reversible DC
                              
if EM_VERSION == 1
    fwrite (EM_USB, 59);               % Command End
    fwrite (EM_USB, 10);
end



fread(EM_USB, 1);    % Read Back Function Idx
