function SetPhase (PhaseIndex, PhaseOffset)
global EM_USB;
global EM_VERSION;

if EM_VERSION == 1
    fwrite (EM_USB, 58);               % Command Start
else
    fwrite (EM_USB, 0);  % Component 0 = ElecMachine
end

fwrite (EM_USB, 5);                     % Function Idx = 5 SetPhase
fwrite (EM_USB, PhaseIndex);            % Param 1 - 0,1,3
fwrite (EM_USB, PhaseOffset, 'int16');  % Param 2 - 0 to 36 in steps of 10 Degrees

if EM_VERSION == 1
    fwrite (EM_USB, 59);               % Command End
    fwrite (EM_USB, 10);
end

fread(EM_USB, 1);    % Read Back Function Idx
