function SwitchState = GetBrushlessActive ()
global EM_USB;
global EM_VERSION;

if EM_VERSION == 1
    fwrite (EM_USB, 58);               % Command Start
else
    fwrite (EM_USB, 0);  % Component 0 = ElecMachine
end

fwrite (EM_USB, 15);            % Function Idx = 0 GetBrushlessActive

if EM_VERSION == 1
    fwrite (EM_USB, 59);               % Command End
    fwrite (EM_USB, 10);
end

fread(EM_USB, 1);               % Read Back Function Idx
SwitchState = fread(EM_USB, 1); % 1 = Active, 0 = Normal
