function Current = GetCurrent (Channel)
global EM_USB;
global EM_VERSION;

if EM_VERSION == 1
    fwrite (EM_USB, 58);               % Command Start
else
    fwrite (EM_USB, 0);  % Component 0 = ElecMachine
end

fwrite (EM_USB, 23);        % Function Idx = 23 GetCurrent
fwrite (EM_USB, Channel);   % Param 1 - Channel: 0=DC1, 1=DC2, 2=U, 3=V, 4=W, 5=Dyno, 6=ExtI, 7=TotalDriver

if EM_VERSION == 1
    fwrite (EM_USB, 59);               % Command End
    fwrite (EM_USB, 10);
end

fread(EM_USB, 1);           % Read Back Function Idx
Current = fread(EM_USB, 1, 'int16'); % Current 0 to 65535
Current = Current/100;      % Scale Current to real Current in Amps
