function Status = GetErrorStatus ()
global EM_USB;
global EM_VERSION;

if EM_VERSION == 1
    fwrite (EM_USB, 58);               % Command Start
else
    fwrite (EM_USB, 0);  % Component 0 = ElecMachine
end

fwrite (EM_USB, 24);            % Function Idx = 0 GetErrorStatus

if EM_VERSION == 1
    fwrite (EM_USB, 59);               % Command End
    fwrite (EM_USB, 10);
end

fread(EM_USB, 1);               % Read Back Function Idx
Status = fread(EM_USB, 1);      % 2 = RPM too high, 1 = Over Current, 0 = Normal
