function Value = GetLoadCell (Scale)
global EM_USB;
global EM_VERSION;

if EM_VERSION == 1
    fwrite (EM_USB, 58);               % Command Start
else
    fwrite (EM_USB, 0);  % Component 0 = ElecMachine
end

fwrite (EM_USB, 26);      % Function Idx = 26 GetLoadCell
fwrite (EM_USB, Scale);   % Param 1 - 0 = Weight in grams, 1 = Calculated Torque nM

if EM_VERSION == 1
    fwrite (EM_USB, 59);               % Command End
    fwrite (EM_USB, 10);
end

fread(EM_USB, 1);         % Read Back Function Idx

Value = fread(EM_USB, 1, 'int32'); % Value (as requested in Param 1 above) 

if (EM_VERSION == 0)
   Value = Value/10;      
else
   Value = Value/100;   
end
