function SetVoltage (Channel, Voltage)
global EM_USB;
global EM_VERSION;

if EM_VERSION == 1
    fwrite (EM_USB, 58);               % Command Start
else
    fwrite (EM_USB, 0);  % Component 0 = ElecMachine
end

Pwm = 3000*(Voltage/24);            % Convert Voltage to PWM value

fwrite (EM_USB, 2);                 % Function Idx = 2 SetVoltage
fwrite (EM_USB, Pwm, 'uint16');     % Param 1&2 - 16 bit PWM
fwrite (EM_USB, Channel);           % DC Channel - 0=DC1, 1=DC2

if EM_VERSION == 1
    fwrite (EM_USB, 59);               % Command End
    fwrite (EM_USB, 10);
end

fread(EM_USB, 1);    % Read Back Function Idx
